Create Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples
List of examples
  • Create a plugin connection
  • Athena connection creation.
  • BigQuery connection creation.
  • Clickhouse connection creation.
  • Databricks connection creation.
  • ElasticSearch connection creation.
  • MariaDB connection creation.
  • MongoDB connection creation.
  • MySQL connection creation.
  • Oracle connection creation.
  • PostgreSQL connection creation.
  • Presto connection creation.
  • Redshift connection creation.
  • SAP Hana connection creation.
  • Snowflake connection creation with key-pair authentication.
  • Snowflake connection creation with username-password authentication.
  • SQL Server connection creation.
  • Azure Synapse connection creation.
  • Trino connection creation.
Description

This will create a connection to a Snowflake database. You'll need to provide a host , a key and token (or a key and private_key , and optionally a token ), and can also set the warehouse and role used to query data. The fields available for creating a Snowflake connection are as follows

  • host : provided as either:

    • Your Snowflake account (without the .snowflakecomputing.com suffix). This should have the format eg. TO12345.eu-west-1 or TO12345.us-east-2.aws on AWS or TO12345.west-europe.azure on Azure. See the Snowflake documentation for the full list.

    • A full URL the Snowflake connector will connect to (e.g. https://some-snowflake-proxy.com ). This can be used to use a Snowflake proxy or Snowflake API-compatible product.

  • key : username of the service user. We advise to create a separate read-only technical user for connecting Luzmo to your Snowflake databases (see e.g. query in this Academy article ). The user should have Default Warehouse set, eg. via the Snowflake UI.

  • warehouse (optional): the Snowflake Warehouse to use for querying data. If not specified, the default warehouse of the service user will be used.

  • role (optional): the Snowflake user Role to use for querying data. If not specified, the default role of the service user will be used.

The Snowflake connector supports 2 authentication modes: key-pair authentication (recommended!) and username/password.

  • For key-pair authentication, you should provide the key property mentioned above, and the following properties:

    • private_key : the (encrypted) private key of the service user

    • token : (Optional but recommended) the passphrase used to encrypt the private key

  • For username/password authentication, you should provide the key and token properties, where the token is the password of the service user.

Notes : If you use Network Policies within Snowflake, you should whitelist Luzmo's range of IP addresses as described here . You'll find more information how to do this in the Snowflake user manual: Modifying a Network Policy .

Install
npm install @luzmo/nodejs-sdk